aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/clang-format/clang-format-all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/clang-format/clang-format-all.sh')
-rwxr-xr-xtools/clang-format/clang-format-all.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tools/clang-format/clang-format-all.sh b/tools/clang-format/clang-format-all.sh
new file mode 100755
index 0000000000..c9caea0d61
--- /dev/null
+++ b/tools/clang-format/clang-format-all.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -ex
+cd $(dirname $0)/../..
+for dir in src test include
+do
+ find $dir -name '*.c' -or -name '*.cc' -or -name '*.h' | xargs clang-format -i
+done
+